Bug 149761 - Phantom Properties information retained after a configuration element is deleted
Summary: Phantom Properties information retained after a configuration element is deleted
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-25 23:13 UTC by Paul Kennedy
Modified: 2015-04-20 00:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-15 20:03:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Kennedy 2005-02-25 23:13:22 UTC
Description of problem:

Minor bug: 
When a configuration element is deleted from the navigation tree, the
âPropertiesâ box to the right of the navigation tree retains âphantomâ
properties information for the element that was deleted. Possibly, it
would be better to move the user to the next level up in the
navigation tree and display the properties of that element--or clear
out the properties altogether.

Version-Release number of selected component (if applicable):
system-config-cluster-0.9.5-1.0


How reproducible:
At the navigation tree, select any of the configuration elements under
"Cluster Nodes", "Fence Devices", or "Failover Domains". Delete the
element and observe the "Properties" box to the right of navigation
tree. The information for the deleted element is present in the
"Properties" box. 

For example:

1.  At the navigation tree, select node "foo" "Cluster Nodes".
2.  Click the "Delete Node" button. 
3.  Observe that the "Properties" box (to the right of the navigation 
    tree) displays the cluster node name of "foo", its quorum votes,
    and fence status.

Clicking another element, for example node "bar", updates the
"Properties" box with the "bar" node properties.

Comment 1 Paul Kennedy 2005-02-25 23:26:52 UTC
Related to 149674


Comment 2 Jim Parsons 2005-03-01 18:18:29 UTC
will fix

Comment 3 Jim Parsons 2005-03-15 04:00:13 UTC
fixed in 0.9.12

Comment 4 Derek Anderson 2005-03-15 20:03:54 UTC
Verified in 0.9.12.

When an item is deleted focus is given to the item's parent.


Note You need to log in before you can comment on or make changes to this bug.